%define    major   1
%define    minor   5

Name:      yalib
Version:   1.7
Release:   %mkrel 4
Summary:   YaFlight and YaInstall shared library
Group:     System/Libraries
License:   GPLv3
URL:       https://github.com/xquiet/yalib
# wget -c https://github.com/xquiet/%{name}/archive/%{version}.tar.gz -O yalib-1.6.tar.gz
Source0:   %{name}-%{version}.tar.gz


BuildRequires:  qt5-devel
BuildRequires:	cmake

%define    libname    %mklibname yalib %{major}
%define    develname  %mklibname -d yalib

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%doc src/COPYING* README.md
%{_libdir}/lib*.so.%{major}.*

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{name} >= %{version}
Requires:     qt5-devel
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build


%changelog
* Sat Jan 30 2016 umeabot <umeabot> 1.7-4.mga6
+ Revision: 929069
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 747043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 690822
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 matteo <matteo> 1.7-1.mga5
+ Revision: 637873
- new version 1.7

* Fri Jun 13 2014 matteo <matteo> 1.6-1.mga5
+ Revision: 635910
- new version 1.6 (fixes flightgear data path detection)
- new version 1.5 (migr. from qmake to cmake)

* Sat Oct 19 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 531783
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 matteo <matteo> 1.2-2.mga4
+ Revision: 465332
- bumped release
- fixed bad requirement

* Sat Aug 10 2013 matteo <matteo> 1.2-1.mga4
+ Revision: 465277
- new version 1.2
- built against Qt5

* Fri Mar 01 2013 matteo <matteo> 1.0-0.git20130225.1.mga3
+ Revision: 400895
- new minor release

* Sun Feb 24 2013 matteo <matteo> 1.0-0.git20130224.1.mga3
+ Revision: 400290
- new minor release

* Sat Feb 09 2013 matteo <matteo> 1.0-0.git20130209.1.mga3
+ Revision: 397484
- fixed release
- fixed url
- imported package yalib

